## php7.0 7.0.2

=== debian/changelog ===
php7.0 (7.0.2-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 7.0.2
  * Patches refresh for 7.0.2
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 07 Jan 2016 08:44:56 -0800
