=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                libonig-dev,
                libpam0g-dev,
                libpcre3-dev (>= 6.6),
-               libpng-dev | libpng12-dev,
+               libpng-dev,
                libpq-dev,
                libpspell-dev,
                libqdbm-dev,
@@ -47,7 +47,7 @@
                libsnmp-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-daemon-dev [linux-any],
+               libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
                libtidy-dev,
                libtool (>= 2.2),
                libvpx-dev,
@@ -55,9 +55,9 @@
                libxml2-dev,
                libxmlrpc-epi-dev,
                libxmltok1-dev,
-               libxpm-dev,
                libxslt1-dev (>= 1.0.18),
                libzip-dev,
+               libxpm-dev,
                locales-all | language-pack-de,
                mysql-server | virtual-mysql-server,
                netbase,
@@ -303,7 +303,7 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
-Package: php7.0-odbc
+Package: php7.0-bz2
 Architecture: any
 Depends: php-common,
          ucf,
@@ -312,14 +312,14 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${php:Built-Using}
-Description: ODBC module for PHP
- This package provides a ODBC module for PHP.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php7.0-readline
+Description: bzip2 module for PHP
+ This package provides a bzip2 module for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php7.0-curl
 Architecture: any
 Depends: php-common,
          ucf,
@@ -328,14 +328,14 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${php:Built-Using}
-Description: readline module for PHP
- This package provides a readline module for PHP.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
- open source general-purpose scripting language that is especially suited
- for web development and can be embedded into HTML.
-
-Package: php7.0-recode
+Description: CURL module for PHP
+ This package provides a CURL module for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php7.0-enchant
 Architecture: any
 Depends: php-common,
          ucf,
@@ -344,6 +344,6 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Built-Using: ${php:Built-Using}
-Description: recode module for PHP
- This package provides a recode module for PHP.
- .
+Description: Enchant module for PHP
+ This package provides a Enchant module for PHP.
+ .
