=== debian/rules ===
--- 
+++ 
@@ -164,22 +164,20 @@
 		  --enable-inifile \
 		  --enable-flatfile \
 		--enable-dom \
-		--with-enchant=/usr \
 		--enable-exif \
 		--with-gettext=/usr \
-		--with-gmp=/usr \
 		--enable-fileinfo \
 		--enable-filter \
 		--enable-ftp \
 		--enable-hash \
 		--with-iconv \
+		--with-pcre-regex=/usr \
 		--enable-pdo \
 		--enable-mbregex \
 		--enable-mbregex-backtrack \
 		--enable-mbstring \
 		--enable-phar \
 		--enable-posix \
-		--with-mcrypt=/usr \
 		--enable-mysqlnd \
 		  --enable-mysqlnd-compression-support \
 		  --with-zlib-dir=/usr \
@@ -193,7 +191,6 @@
 		--enable-xml \
 		--enable-xmlreader \
 		--enable-xmlwriter \
-		--with-xsl=/usr \
 		--with-mhash=yes \
 		--enable-sysvmsg \
 		--enable-sysvsem \
@@ -241,3 +238,5 @@
 
 fpm_config = \
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi \
+		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
+		--with-fpm-user=www-data --with-fpm-group=www-data \
